> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1countries



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/countries
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/countries:
    get:
      tags:
        - Countries
      operationId: countries.index
      responses:
        '200':
          description: Array of `CountryResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CountryResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    CountryResource:
      type: object
      properties:
        id:
          type: integer
        iso:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        nicename:
          type:
            - string
            - 'null'
        iso3:
          type:
            - string
            - 'null'
        numcode:
          type: integer
        phonecode:
          type: integer
        has_states:
          type: boolean
        sender_id:
          type: boolean
      required:
        - id
        - iso
        - name
        - nicename
        - iso3
        - numcode
        - phonecode
        - has_states
        - sender_id
      title: CountryResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````